<?php
/**
 * Created by PhpStorm.
 * User: hp
 * Date: 2017/11/20
 * Time: 15:50
 */
Route::group(['domain' => env('CHANNEL_DOMAIN'), 'namespace' => 'App\Http\Controllers\Channel\Promotion', 'prefix' => 'api/promotion', 'middleware' => 'ChannelApiAuth'], function () {
    Route::group(['middleware' => 'ChannelOperateRecord'], function () {
        //获取标题
        Route::get('headlines', 'HeadlineController@getPromotionHeadlines');

        //获取内容模版
        Route::get('bodyTemplates', 'BodyTemplatesController@getPromotionBodyTemplates');

        //获取原文引导
        Route::get('originalGuides', 'OriginalGuidesController@getPromotion0riginalGuides');

        //获取文案封面
        Route::get('documentCovers', 'DocumentCoversController@getPromotionDocumentCovers');

        //获取推广页面链接
        Route::get('promotionPages', 'PromotionPagesController@getPromotionPages');

        //获取二维码信息
        Route::get('getQrCodes', 'QrCodeController@getQrCodes');

        //获取模板图片
        Route::get('getBgImages', 'BgImagesController@getBgImages');
    });
});